#!/bin/sh

cd /usr/local/packages/fflprapp
mv *.xml *.json *.db localdata/
mv images localdata/

mv localdata/lic.xml ./

ERROR=0

if [ ! -e localdata/fflpr_a1001.xml ]
then
    ERROR=1
fi

if [ ! -e localdata/fflpr_a1001_ac.json ]
then
    ERROR=1
fi

if [ ! -e localdata/fflpr_a1001_idp.json ]
then
    ERROR=1
fi

if [ ! -e localdata/fflpr_nok.xml ]
then
    ERROR=1
fi

if [ ! -e localdata/fflprapp_a1001n.xml ]
then
    ERROR=1
fi

if [ ! -e localdata/fflprapp_a91xx.xml ]
then
    ERROR=1
fi

if [ ! -e localdata/fflprapp_black_list.xml ]
then
    ERROR=1
fi

if [ ! -e localdata/fflprapp_cloud.xml ]
then
    ERROR=1
fi


if [ ! -e localdata/fflprapp_config.xml ]
then
    ERROR=1
fi

if [ ! -e localdata/fflprapp_events.db ]
then
    ERROR=1
fi

if [ ! -e localdata/fflprapp_numberok.xml ]
then
    ERROR=1
fi

if [ ! -e localdata/fflprapp_white_list.xml ]
then
    ERROR=1
fi

if [ ! -e localdata/images ]
then
    ERROR=1
fi

if [ $ERROR == 1 ]
then
    echo "<html><p>Moving of configuration files FAILED. Please contact Axis support</p></html>" > /usr/local/packages/fflprapp/html/result.html
else
    echo "<html><p>Moving of configuration files succeeded.</p></html>" > /usr/local/packages/fflprapp/html/result.html
fi